import Vue from 'vue'
import Router from 'vue-router'

// import Login from '@/pages/loginView/loginView.vue'
// import mainView from '@/pages/mainView/mainView.vue'
import mapComponent from '@/pages/mapComponent/mapComponent.vue'
import webgl_rxdz from '@/pages/webgl_rxdz/webgl_rxdz.vue'
import webgl_rxdz_roam from '@/pages/webgl_rxdz_roam/webgl_rxdz_roam.vue'
import webgl_rxdz_look from '@/pages/webgl_rxdz_look/webgl_rxdz_look.vue'
import webgl_rxdz_customize from '@/pages/webgl_rxdz_customize/webgl_rxdz_customize'

Vue.use(Router)
const router = new Router({
    mode: 'hash',
    // mode: 'history',
    routes: [
        // 页面初始化
        {
            path: '/',
            redirect: '/pages/webgl_rxdz'
        },
		{
		    path: '/pages/webgl_rxdz',
		    name: 'webgl_rxdz',
		    component: webgl_rxdz,
			meta:{
				keepAlive:true
			}
		},
        {
            path: '/pages/webgl_rxdz_roam',
            name: 'webgl_rxdz_roam',
            component: webgl_rxdz_roam,
			meta:{
				keepAlive:false
			}
        },
		{
		    path: '/pages/webgl_rxdz_look',
		    name: 'webgl_rxdz_look',
		    component: webgl_rxdz_look,
			meta:{
				keepAlive:false
			}
		},
        {
            path: '/pages/webgl_rxdz_customize',
            name: 'webgl_rxdz_customize',
            component: webgl_rxdz_customize,
			meta:{
				keepAlive:false
			}
        },
		{
		    path: '/pages/mapComponent',
		    name: 'mapComponent',
		    component: mapComponent,
			meta:{
				keepAlive:false
			}
		}
		
    ],
})
// router.beforeRouteLeave = (to, from, next)=> {
//     if (from.meta.keepAlive && !to.meta.keepAlive) {
//       const cachedInstance = this.$refs.keepAlive.$refs.instance
//       cachedInstance && cachedInstance.$options.beforeRouteLeave && cachedInstance.$options.beforeRouteLeave.call(cachedInstance, to, from, next)
//     }
//     next()
// }
// router.beforeEach((to, from, next) => {
// 	// console.warn("router:start-1", from,to);
// 	//如果存在用户账号信息|| to.query.uid
// 	next();
// })
// //同一个路由跳转报错解决，NavigationDuplicated: Avoided redundant navigation to current location:
// const originalPush = Router.prototype.push
// Router.prototype.push = function push(location) {
//     return  originalPush.call(this,location).catch(err=>err)
// }

export default router;
